Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.util
Class ClickRepeaterConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.util.ClickRepeaterConfig

    public class ClickRepeaterConfig

extends BaseConfig

ClickRepeater configuration class.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`ClickRepeaterConfig()`

Method Summary
`void` | `setAccelerate(boolean accelerate)` True if autorepeating should start slowly and accelerate.
`void` | `setDelay(int delay)` The initial delay before the repeating event begins firing.
`void` | `setElement(com.google.gwt.user.client.Element element)` The element to act as a button.
`void` | `setElement(java.lang.String elementID)` The element to act as a button.
`void` | `setInterval(int interval)` The interval between firings of the "click" event.
`void` | `setPressClass(java.lang.String pressClass)` A CSS class name to be applied to the element while pressed.
`void` | `setPreventDefault(boolean preventDefault)` True to prevent the default click event.
`void` | `setStopDefault(boolean stopDefault)` True to stop the default click event.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickRepeaterConfig

    public ClickRepeaterConfig()

Method Detail

### setAccelerate

    public void setAccelerate(boolean accelerate)

  True if autorepeating should start slowly and accelerate. "interval" and "delay" are ignored. "immediate" is honored.

  Parameters:
    `accelerate` - true to start slowly and accelerate

### setDelay

    public void setDelay(int delay)

  The initial delay before the repeating event begins firing. Similar to an autorepeat key delay.

  Parameters:
    `delay` - delay in milliseconds. Default is 250

### setElement

    public void setElement(com.google.gwt.user.client.Element element)

  The element to act as a button.

  Parameters:
    `element` - the element

### setElement

    public void setElement(java.lang.String elementID)

  The element to act as a button.

  Parameters:
    `elementID` - the element ID

### setInterval

    public void setInterval(int interval)

  The interval between firings of the "click" event. Default is 10 milliseconds.

  Parameters:
    `interval` - the firing interval

### setPressClass

    public void setPressClass(java.lang.String pressClass)

  A CSS class name to be applied to the element while pressed.

  Parameters:
    `pressClass` - the press CSS class

### setPreventDefault

    public void setPreventDefault(boolean preventDefault)

  True to prevent the default click event. Default is true.

  Parameters:
    `preventDefault` - true to prevent default click

### setStopDefault

    public void setStopDefault(boolean stopDefault)

  True to stop the default click event. Default is false.

  Parameters:
    `stopDefault` - true to stop default click event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD